> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Detail



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/collections/{id}/lifecycle
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/collections/{id}/lifecycle:
    get:
      tags:
        - Collection Item Lifecycle
      summary: Detail
      operationId: CollectionItemLifecycleController_detail_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: id
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionLifecycleDetailResponseDto'
      security:
        - bearer: []
components:
  schemas:
    CollectionLifecycleDetailResponseDto:
      type: object
      properties:
        item:
          $ref: '#/components/schemas/LifecycleItem'
        collection:
          $ref: '#/components/schemas/CollectionSummaryDto'
        snapshotAvailable:
          type: boolean
      required:
        - item
        - collection
        - snapshotAvailable
    LifecycleItem:
      type: object
      properties:
        id:
          type: string
        version:
          type: number
        state:
          type: string
          enum:
            - active
            - archived
            - deleted
        name:
          type: string
        referenceNumber:
          type:
            - string
            - 'null'
        imageUrl:
          type:
            - string
            - 'null'
        categoryName:
          type:
            - string
            - 'null'
        areaNames:
          type: array
          items:
            type: string
        supplierName:
          type:
            - string
            - 'null'
        archivedAt:
          type:
            - string
            - 'null'
        archivedBy:
          anyOf:
            - $ref: '#/components/schemas/LifecycleActor'
            - type: 'null'
        archiveReason:
          type:
            - string
            - 'null'
        deletedAt:
          type:
            - string
            - 'null'
        deletedBy:
          anyOf:
            - $ref: '#/components/schemas/LifecycleActor'
            - type: 'null'
        expiresAt:
          type:
            - string
            - 'null'
      required:
        - id
        - version
        - state
        - name
        - referenceNumber
        - imageUrl
        - categoryName
        - areaNames
        - supplierName
        - archivedAt
        - archivedBy
        - archiveReason
        - deletedAt
        - deletedBy
        - expiresAt
    CollectionSummaryDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        brand:
          type: string
        regions:
          type: array
          items:
            type: string
        areaTypeLabel:
          type:
            - string
            - 'null'
        tier:
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'
        currencyCode:
          type: string
        generation:
          type: number
        status:
          type: string
          enum:
            - draft
            - ready_to_use
        locked:
          type: boolean
        segmentKeys:
          type: array
          items:
            type: string
            enum:
              - architectural
              - finishes
              - ffe
              - ose
        entriesCount:
          type: number
        projectsCount:
          type: number
        purchasedCount:
          type: number
        estimatedBudget:
          $ref: '#/components/schemas/CollectionEstimatedBudgetDto'
        coverImageUrl:
          type:
            - string
            - 'null'
        coverImageChecksumSha256:
          type:
            - string
            - 'null'
        version:
          type: number
        createdAt:
          type: string
        updatedAt:
          type: string
      required:
        - id
        - name
        - brand
        - regions
        - areaTypeLabel
        - tier
        - description
        - currencyCode
        - generation
        - status
        - locked
        - segmentKeys
        - entriesCount
        - projectsCount
        - purchasedCount
        - estimatedBudget
        - coverImageUrl
        - coverImageChecksumSha256
        - version
        - createdAt
        - updatedAt
    LifecycleActor:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
      required:
        - id
        - name
    CollectionEstimatedBudgetDto:
      type: object
      properties:
        amount:
          type:
            - string
            - 'null'
        currencyCode:
          type: string
        pricedEntriesCount:
          type: number
        entriesCount:
          type: number
        isPartial:
          type: boolean
      required:
        - amount
        - currencyCode
        - pricedEntriesCount
        - entriesCount
        - isPartial
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.